{% extends "template/app.twig" %}

{% block meta %}
    {% set meta = {'keywords': 'Empresas'} %}
    {{ parent() }}
{% endblock %}

{% block link %}
    {{ parent() }}
{% endblock %}

{% block header %}
    {{ parent() }}
{% endblock %}

{% block aside %}
    {{ parent() }}
{% endblock %}

{% block content %}
    {{ parent() }}
    {% include "template/partial/section/customer_list_raw.twig" %}
{% endblock %}

{% block footer %}
    {{ parent() }}
{% endblock %}

{% block script %}
    {{ parent() }}

    <script>
        $(document).ready(function () {
            $('#nuevo-cliente').click(function (e) {
                e.preventDefault();
                $.ajax({
                    type: "POST",
                    url: "../cliente/crear",
                    success: function (data) {
                        console.log(data);

                        //notify('Informacion registrada correctamente!', 'success');

                        setTimeout(function () {
                            window.location.href = "../cliente/editar/" + data;
                        }, 0);
                    },
                    error: function (data) {
                        console.log(data);

                        notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                    }
                });
            });

            ///////////
            var gridNewClient = $("#data-table-new-client").bootgrid({
                css: {
                    icon: 'zmdi icon',
                    iconColumns: 'zmdi-view-module',
                    iconDown: 'zmdi-expand-more',
                    iconRefresh: 'zmdi-refresh',
                    iconUp: 'zmdi-expand-less'
                },
                templates: {
                    header: ""
                },
                selection: true,
                multiSelect: true,
                rowSelect: false,
                keepSelection: true,
                formatters: {
                    "commands": function (column, row) {
                        return "<button type=\"button\" class=\"btn palette-Teal btn-icon bg command-refresh waves-effect waves-circle\" title=\"Actualizar dato\" data-row-cuit=\"" + row.cuit + "\" data-row-codigo=\"" + row.codigo + "\"><span class=\"zmdi zmdi-plus\"></span></button>"; 
                    }
                }
            }).on("loaded.rs.jquery.bootgrid", function () {
                ////////
                var rows = gridNewClient.bootgrid('getCurrentRows');
                $.each(rows, function(index, row){
                    if(!row.checked){
                        gridNewClient.bootgrid('select', [row.id]);
                    }
                });

                gridNewClient.find(".command-refresh").on("click", function (e) {

                  var id = $(this).data("row-id");
                    //window.location.href = "../cliente/editar/" + id;
                });

                gridNewClient.find(".select-box").on("click", function(e) {
                  setTimeout(function(){
                    console.log("setTimeout");
                    var n = [];
                    $("#data-table-new-client .select-box[value!=all]").each(function(i, v){
                      if($(v).prop('checked')) {
                          n.push(i);
                      }
                    });

                    if($("#data-table-new-client .select-box[value=all]").prop('checked')
                      || n.length > 1) {
                       $("#data-table-new-client").parent().find('.btn-refresh-all').show();
                     } else {
                       $("#data-table-new-client").parent().find('.btn-refresh-all').hide();
                     }
                   }, 100);
                });

                gridNewClient.find("tbody tr").on("click", function(e) {
                  setTimeout(function(){
                    var n = [];
                    $("#data-table-new-client .select-box[value!=all]").each(function(i, v){
                      if($(v).prop('checked')) {
                          n.push(i);
                      }
                    });

                    //Si están todos marcados muestro boton actualizar todo
                    if($("#data-table-new-client .select-box[value=all]").prop('checked')
                      || n.length > 1) {
                       $("#data-table-new-client").parent().find('.btn-refresh-all').show();
                     } else {
                       $("#data-table-new-client").parent().find('.btn-refresh-all').hide();
                     }
                   }, 100);
                });

                ////////
                gridNewClient.find(".command-refresh").on("click", function (e) {
                    var id = $(this).data("row-id");

                    swal({
                        title: "¿Está seguro de actualizar el dato?",
                        text: "El cambio no se podrá deshacer",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#DD6B55",
                        confirmButtonText: "Si, actualizar!",
                        cancelButtonText: "No, cancelar",
                        closeOnConfirm: false
                    }, function (isConfirm) {
                        if (isConfirm) {
                            /*
                            $.ajax({
                                type: "DELETE",
                                url: "eliminarCliente/",
                                data: {client_id: id},
                                dataType: "JSON",
                                success: function (data) {
                                    console.log(data);

                                    $("#box-cc-" + id).fadeOut();
                                    swal("Inactivado!", "Cliente inactivo!", "success");

                                    setTimeout(function () {
                                        window.location.reload();
                                    }, 1000);

                                },
                                error: function (data) {
                                    console.log(data);

                                    notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                                }
                            });
                            */
                        }
                    });
                });
                ////////
            });
            ///////////

            {% for changeClient in changeClients %}
            //Selection
            var gridClient{{loop.index}} = $("#data-table-selection-{{loop.index}}").bootgrid({
                css: {
                    icon: 'zmdi icon',
                    iconColumns: 'zmdi-view-module',
                    iconDown: 'zmdi-expand-more',
                    iconRefresh: 'zmdi-refresh',
                    iconUp: 'zmdi-expand-less'
                },
                templates: {
                    header: "",
                    footer: ""
                },
                selection: true,
                multiSelect: true,
                rowSelect: false,
                keepSelection: true,
                formatters: {
                    "commands": function (column, row) {
                        return "<button type=\"button\" class=\"btn palette-Teal btn-icon bg command-refresh waves-effect waves-circle\" title=\"Actualizar dato\" data-row-id=\"" + row.id + "\"><span class=\"zmdi zmdi-refresh-sync\"></span></button>";
                    }
                }
            }).on("loaded.rs.jquery.bootgrid", function () {
                ////////
                var rows = gridClient{{loop.index}}.bootgrid('getCurrentRows');
                $.each(rows, function(index, row){
                    if(!row.checked){
                        gridClient{{loop.index}}.bootgrid('select', [row.id]);
                    }
                });

                gridClient{{loop.index}}.find(".command-refresh").on("click", function (e) {

                  var id = $(this).data("row-id");
                    //window.location.href = "../cliente/editar/" + id;
                });

                gridClient{{loop.index}}.find(".select-box").on("click", function(e) {
                  setTimeout(function(){
                    console.log("setTimeout");
                    var n = [];
                    $("#data-table-selection-{{loop.index}} .select-box[value!=all]").each(function(i, v){
                      if($(v).prop('checked')) {
                          n.push(i);
                      }
                    });

                    if($("#data-table-selection-{{loop.index}} .select-box[value=all]").prop('checked')
                      || n.length > 1) {
                       $("#data-table-selection-{{loop.index}}").parent().find('.btn-refresh-all').show();
                     } else {
                       $("#data-table-selection-{{loop.index}}").parent().find('.btn-refresh-all').hide();
                     }
                   }, 100);
                });

                gridClient{{loop.index}}.find("tbody tr").on("click", function(e) {
                  setTimeout(function(){
                    var n = [];
                    $("#data-table-selection-{{loop.index}} .select-box[value!=all]").each(function(i, v){
                      if($(v).prop('checked')) {
                          n.push(i);
                      }
                    });

                    //Si están todos marcados muestro boton actualizar todo
                    if($("#data-table-selection-{{loop.index}} .select-box[value=all]").prop('checked')
                      || n.length > 1) {
                       $("#data-table-selection-{{loop.index}}").parent().find('.btn-refresh-all').show();
                     } else {
                       $("#data-table-selection-{{loop.index}}").parent().find('.btn-refresh-all').hide();
                     }
                   }, 100);
                });
                ////////
                /*

                gridClient.find(".lo-c").on("click", function (e) {
                    var id = $(this).data("row-id");

                    loadInfoClient(id);

                    $('#modalWider').modal('show');
                });
                */
                ////////
                gridClient{{loop.index}}.find(".command-refresh").on("click", function (e) {
                    var id = $(this).data("row-id");

                    swal({
                        title: "¿Está seguro de actualizar el dato?",
                        text: "El cambio no se podrá deshacer",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#DD6B55",
                        confirmButtonText: "Si, actualizar!",
                        cancelButtonText: "No, cancelar",
                        closeOnConfirm: false
                    }, function (isConfirm) {
                        if (isConfirm) {
                            /*
                            $.ajax({
                                type: "DELETE",
                                url: "eliminarCliente/",
                                data: {client_id: id},
                                dataType: "JSON",
                                success: function (data) {
                                    console.log(data);

                                    $("#box-cc-" + id).fadeOut();
                                    swal("Inactivado!", "Cliente inactivo!", "success");

                                    setTimeout(function () {
                                        window.location.reload();
                                    }, 1000);

                                },
                                error: function (data) {
                                    console.log(data);

                                    notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                                }
                            });
                            */
                        }
                    });
                });
                ////////
            });
            {% endfor %}
        });

        ///////////////////////////

        function loadInfoClient(id) {

            $.ajax({
                type: "GET",
                url: "{{base_url()}}/oportunidad/jsonCliente/" + id,
                dataType: "JSON",
                success: function (data) {
                    console.log(data);

                    var cliente = data[0];
                    var milestone = data[1];
                    var vencimientos = data[2];
                    var contactos = data[3];
                    var oportunidades = data[4];

                    $("#info-nc").html(cliente[0]["client_businessname"]);
                    $("#info-cu").html(cliente[0]["client_cuit"]);
                    $("#info-or").html(cliente[0]["client_origin"]);

                    if (cliente[0]["client_invoicetype"] == "A") {
                        $("#info-tf").html("RESPONSABLE INSCRIPTO, RESP. NO INSCRIPTO, EXENTO (TIERRA DEL FUEGO)");
                    } else if (cliente[0]["client_invoicetype"] == "B") {
                        $("#info-tf").html("CONSUMIDOR FINAL, RESPONSABLE MONOTRIBUTO, IVA EXENTO");
                    } else if (cliente[0]["client_invoicetype"] == "E") {
                        $("#info-tf").html("EXPORTACIÓN");
                    }

                    $("#info-em").html(cliente[0]["client_email"]);
                    $("#info-ag").html(cliente[0]["client_agent"]);
                    $("#info-we").html(cliente[0]["client_www"]);

                    //**************

                    var miles = "";

                    for (var i in milestone) {
                        //alert(JSON.stringify(milestone[i]));

                        if (!isNaN(i)) {
                            miles += '<div class="row m-t-15">' +
                                    '<div class="col-lg-2 col-md-2 col-sm-2 col-sx-2">' +
                                    '<span class="c-green">' + milestone[i]["milestone_date"] + '</span>' +
                                    '</div>' +
                                    '<div class="col-lg-10 col-md-10 col-sm-10 col-sx-10">' +
                                    '<a href="../oportunidad/editar/' + milestone[i]["opportunity_id"] + '">Oportunidad ' + milestone[i]["opportunity_id"] + '</a> - ' + milestone[i]["milestone_title"] + ' // ' + milestone[i]["milestone_detail"] + '' +
                                    '</div>' +
                                    '</div>';
                        }
                    }

                    $("#info-milestone").html(miles);

                    //**************

                    var oport = "";

                    for (var i in oportunidades) {
                        //alert(JSON.stringify(milestone[i])); opportunity_id, opportunity_salenumber, opportunity_type, opportunity_stage, opportunity_status, opportunity_total, opportunity_currentexpiration

                        if (!isNaN(i)) {
                            if (oportunidades[i]["opportunity_status"] == "A") {
                                oport += '<div class="row m-t-15">' +
                                        '<div class="col-lg-2 col-md-2 col-sm-2 col-sx-2">' +
                                        '<span class="c-green">' + oportunidades[i]["opportunity_createdate"] + '</span>' +
                                        '</div>' +
                                        '<div class="col-lg-10 col-md-10 col-sm-10 col-sx-10">' +
                                        '<a href="../oportunidad/editar/' + oportunidades[i]["opportunity_id"] + '">Oportunidad #' + oportunidades[i]["opportunity_id"] + ' // Total: usd$' + oportunidades[i]["opportunity_total"] + ' // Etapa: ' + oportunidades[i]["opportunity_stage"] + '</a>' +
                                        '</div>' +
                                        '</div>';
                            } else {
                                oport += '<div class="row m-t-15">' +
                                        '<div class="col-lg-2 col-md-2 col-sm-2 col-sx-2">' +
                                        '<span class="c-red">' + oportunidades[i]["opportunity_currentexpiration"] + '</span>' +
                                        '</div>' +
                                        '<div class="col-lg-10 col-md-10 col-sm-10 col-sx-10">' +
                                        '<a href="../venta/editar/' + oportunidades[i]["opportunity_id"] + '">Venta #' + oportunidades[i]["opportunity_salenumber"] + ' (Oportunidad #' + oportunidades[i]["opportunity_id"] + ').  Total: usd$' + oportunidades[i]["opportunity_total"] + '</a>' +
                                        '</div>' +
                                        '</div>';
                            }
                        }
                    }

                    $("#info-oportunidades").html(oport);

                    //**************

                    var venci = "";

                    for (var i in vencimientos) {
                        if (!isNaN(i)) {

                            var color = "c-green";

                            var date = vencimientos[i]["serials_contract_date"].split("-");
                            var f1 = new Date(date[0], date[1] - 1, date[2], 23, 59, 59); //31 de diciembre de 2015
                            var f2 = new Date();

                            if (f1.getTime() < f2.getTime()) {
                                color = "c-red";
                            }

                            venci += '<div class="row m-t-15">' +
                                    '<div class="col-lg-2 col-md-2 col-sm-2 col-sx-2">' +
                                    '<span class="' + color + '">' + vencimientos[i]["serials_contract_date"] + '</span>' +
                                    '</div>' +
                                    '<div class="col-lg-10 col-md-10 col-sm-10 col-sx-10">' +
                                    '<a href="../oportunidad/editar/' + vencimientos[i]["opportunity_id"] + '">Oportunidad ' + vencimientos[i]["opportunity_id"] + '</a> - ' + vencimientos[i]["opportunity_detail_description"] + ' // ' + vencimientos[i]["serials_contract_type"] + ' #' + vencimientos[i]["serials_contract_number"] + '' +
                                    '</div>' +
                                    '</div>';
                        }
                    }

                    $("#info-vencimientos").html(venci);

                    //**************

                    var conta = "";

                    for (var i in contactos) {
                        if (!isNaN(i)) {
                            var estatus = "";
                            if (contactos[i]["contact_status"] == "0") {
                                estatus = "Inactivo";
                            } else {
                                estatus = "Activo";
                            }

                            conta += '<div class="m-15 p-15" style="border:1px solid #ccc;">' +
                                    '<div class="row">' +
                                    '<div class="col-lg-6 col-md-6 col-sm-12 col-sx-12">' +
                                    '<div class="row">	' +
                                    '	<div class="col-sm-12 m-t-15">' +
                                    '		<strong>Nombre:</strong> ' + contactos[i]["contact_name"] + '' +
                                    '	</div>	' +
                                    '	<div class="col-sm-12 m-t-15">' +
                                    '		<strong>Apellidos:</strong> ' + contactos[i]["contact_lastname"] + '	' +
                                    '	</div>' +
                                    '	<div class="col-sm-12 m-t-15">' +
                                    '		<strong>Email:</strong> ' + contactos[i]["contact_email"] + '	' +
                                    '	</div>' +
                                    '	<div class="col-sm-12 m-t-15">' +
                                    '		<strong>Cargo:</strong> ' + contactos[i]["contact_type"] + '	' +
                                    '	</div>' +
                                    '</div>' +
                                    '</div>' +
                                    '<div class="col-lg-6 col-md-6 col-sm-12 col-sx-12">' +
                                    '<div class="row">' +
                                    '<div class="col-sm-12 m-t-15">' +
                                    '	<strong>Teléfono:</strong> ' + contactos[i]["contact_phone"] + '' +
                                    '</div>	' +
                                    '<div class="col-sm-12 m-t-15">' +
                                    '	<strong>Celular:</strong> ' + contactos[i]["contact_celphone"] + '	' +
                                    '</div>	' +
                                    '<div class="col-sm-12 m-t-15">' +
                                    '	<strong>Estado:</strong> ' + estatus + '	' +
                                    '</div>' +
                                    '<div class="col-sm-12 m-t-15">' +
                                    '	<strong>Sector:</strong> ' + contactos[i]["contact_area"] + '	' +
                                    '</div>' +
                                    '</div>' +
                                    '</div>' +
                                    '</div>' +
                                    '</div> <br>';
                        }
                    }

                    if (conta == "") {
                        conta = '<div class="m-15 p-15">Cliente sin contactos registrados. <a href="../../cliente/editar/' + cliente[0]["client_id"] + '">Agregar</a></div><br>';
                    }

                    $("#info-contactos").html(conta);
                },
                error: function (data) {
                    console.log(data)
                    notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                }
            });

        }
    </script>

{% endblock %}
